---
layout: default
title: GitLab with Jira
description: "Automate your work from GitLab to Jira"
canonical_path: "/solutions/jira/"
// image_title: '/images/opengraph/all-remote.jpg'
// twitter_creator: "@gitlab"
// twitter_site: "@gitlab"
// twitter_image_alt: "All About GitLab's remote work culture"
// twitter_image: "/images/opengraph/all-remote.jpg"
extra_css:
  - enterprise.css
extra_js:
  - libs/on-scroll.js
  - in-page-nav.js
  - all-clickable.js
---

%script{src: "https://unpkg.com/aos@2.3.1/dist/aos.js"}
%link{:rel => "stylesheet", :href => "https://unpkg.com/aos@2.3.1/dist/aos.css"}

:javascript
  AOS.init();

.enterprise-page
  %section.hero
    .container{"data-aos" => "fade-up", "data-aos-duration" => "1000", "data-aos-once" => "true"}
      .row
        .col.col-md-12
          .hero__content
            .caption GitLab with Atlassian 
            %h1 Automate your work from GitLab to Jira
            %a.hero__btn.cta-btn{:href => "https://about.gitlab.com/learn/#agile_management"} Start Learning
  

  %section.values
    .container
      .row
        .col-md-4
          .value-block{"data-aos" => "fade-up", "data-aos-duration" => "500", "data-aos-once" => "true"}
            .value-block__image
              = image_tag "/images/icons/kanban.svg"
              %h4 GitLab <-> Jira Integration
              %p Once you integrate your GitLab project with your Jira instance, you can automatically detect and cross-reference activity between the GitLab project and any of your projects in Jira.
        .col-md-4
          .value-block{"data-aos" => "fade-up", "data-aos-duration" => "1000", "data-aos-once" => "true"}
            .value-block__image
              = image_tag "/images/icons/computer-test2.svg"
              %h4 Jira Dev Panel Integration
              %p Complementary to our existing Jira project integration, you’re now able to integrate GitLab projects with Jira Development Panel.
        .col-md-4
          .value-block{"data-aos" => "fade-up", "data-aos-duration" => "1500", "data-aos-once" => "true"}
            .value-block__image
              = image_tag "/images/icons/scale.svg"
              %h4 Migrate from Jira to GitLab
              %p GitLab offers a robust project management tool that brings your agile planning into one platform that hosts your SCM, CI/CD, Security and more!

  %section.product
    .container
      .row
        .col-md-12.product__intro
          %h2 How GitLab-Jira Integration Works
      .row.display-flex
        .col-md-4{"data-aos" => "zoom-in-up", "data-aos-duration" => "500", "data-aos-once" => "true"}
          .product-card
            .product-card__image
              = image_tag "/images/enterprise/source-code.jpg"
              .product-card__content
                %h3.product-card__title Basic GitLab <-> Jira Integration 
                %ul.product-card__list
                  %li Mention a Jira issue ID in a commit message or MR (merge request)
                  %li Mention that a commit or MR resolves or closes a specific Jira issue
                  %li View Jira issues directly in GitLab

        .col-md-4{"data-aos" => "zoom-in-up", "data-aos-duration" => "1000", "data-aos-once" => "true"}
          .product-card
            .product-card__image
              = image_tag "/images/enterprise/ci-cd.jpg"
              .product-card__content
                %h3.product-card__title Jira Dev Panel Integration
                %ul.product-card__list
                  %li Easily access related GitLab merge requests, branches, and commits directly from a Jira issue
                  %li Works with self-managed GitLab or GitLab.com integrated with Jira hosted by your Jira Cloud
                  %li Connects all GitLab projects within a top-level group or a personal namespace to projects in the Jira instance

        .col-md-4{"data-aos" => "zoom-in-up", "data-aos-duration" => "1500", "data-aos-once" => "true"}
          .product-card
            .product-card__image
              = image_tag "/images/enterprise/agile2.jpg"
              .product-card__content
                %h3.product-card__title Migrate from Jira to GitLab
                %ul.product-card__list
                  %li Import your Jira issues to GitLab.com or to your self-managed GitLab instance
                  %li Import title, description and labels directly
                  %li Map Jira users to GitLab project members
  %section.product
    .container  
      .row
        .col-md-12.product__intro
          %h2.u-text-brand How-to Videos
          %p Here’s a list of resources on the GitLab-Jira integration that we've created to be particularly helpful in understanding implementation. 
          .feature-group.feature-group--alt.u-margin-top-lg.u-padding-top-0.u-padding-bottom-0
            .row.flex-row
              
              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/fWvwkx5_00E" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  .feature-body
                    %h3.feature-title GitLab-Jira Basic Integration
                    %p.feature-description While you can always migrate content and process from Jira to GitLab Issues, you can also opt to continue using Jira and use it together with GitLab
                    = link_to "Read", "https://docs.gitlab.com/ee/user/project/integrations/jira/", class: "feature-more"

              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/VjVTOmMl85M" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  .feature-body
                    %h3.feature-title GitLab-Jira Development Panel
                    %p.feature-description Complementary to our existing Jira project integration, you’re able to integrate GitLab projects with Jira Development Panel
                    = link_to "Read", "https://docs.gitlab.com/ee/integration/jira_development_panel/", class: "feature-more"

              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/cixs4NJB3H8" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>>
                  .feature-body
                    %h3.feature-title Import your Jira project issues to GitLab
                    %p.feature-description Using GitLab Jira importer, you can import your Jira issues to GitLab.com or to your self-managed GitLab instance.
                    = link_to "Read", "https://docs.gitlab.com/ee/user/project/import/jira/", class: "feature-more"

              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/_yDcD_jzSjs" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  .feature-body
                    %h3.feature-title View Jira issue list in GitLab
                    %p.feature-description For organizations using Jira as their primary work tracking tool, it can be a challenge for contributors to work across multiple systems and maintain a single source of truth.
                    = link_to "Read", "https://docs.gitlab.com/ee/user/project/import/jira/", class: "feature-more"

              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/cixs4NJB3H8" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> 
                  .feature-body
                    %h3.feature-title Map Jira users to GitLab users when importing issues
                    %p.feature-description When importing issues from Jira to GitLab, you can now map Jira users to GitLab project members prior to running the import. This enables the importer to set the correct reporter and assignee on the issues you’re moving to GitLab.
                    = link_to "Read", "https://docs.gitlab.com/ee/user/project/import/jira/", class: "feature-more"

              .col-md-4.col-lg-4.u-margin-bottom-sm
                .feature.js-all-clickable
                  .feature-media
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/bT60rJEoWhw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  .feature-body
                    %h3.feature-title GitLab Project Management Roadmap
                    %p.feature-description We're constantly working on improving GitLab's integration with Jira so we welcome feedback or check what's coming in the next releases 
                    = link_to "Read", "https://gitlab.com/groups/gitlab-org/-/epics/2738/", class: "feature-more"


  %section.trust
    .container
      .row
        .col-md-12.text-center
          %h2.trust__heading
            Trusted by enterprises,
            %span loved by developers
      .row
        .col-md-12
          .logo-band
            .logo.logo--1{"data-aos" => "zoom-in", "data-aos-duration" => "200", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-dish.svg"
            .logo.logo--2{"data-aos" => "zoom-in", "data-aos-duration" => "400", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-expedia.svg"
            .logo.logo--3{"data-aos" => "zoom-in", "data-aos-duration" => "600", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-goldman-sachs.svg"
            .logo.logo--4{"data-aos" => "zoom-in", "data-aos-duration" => "800", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-nasdaq.svg"
            .logo.logo--5{"data-aos" => "zoom-in", "data-aos-duration" => "1000", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-uber.svg"
            .logo.logo--6{"data-aos" => "zoom-in", "data-aos-duration" => "1200", "data-aos-once" => "true"}
              = image_tag "/images/enterprise/logo-verizon.svg"


  %section.cta
    .container
      .row
        .col-md-12
          .cta__content
            %h2{"data-aos" => "fade-up", "data-aos-duration" => "500", "data-aos-once" => "true"} Start your free trial today!
            %h3{"data-aos" => "fade-up", "data-aos-duration" => "900", "data-aos-once" => "true"} Get the complete software development lifecycle in a single application.
            %a.cta__btn.cta-btn{"data-aos" => "fade-up", "data-aos-duration" => "1100", "data-aos-once" => "true", :href => "/free-trial/"} Get started
